Subject: bug#61943: 29.0.60; icomplete--in-region-setup should activate icomplete-fido-mode-map too

From: João Távora <[email-masked]>
Date: Sat, 4 Mar 2023 19:04:41 +0000

On Sat, Mar 4, 2023 at 6:56 PM Juri Linkov <[email-masked]> wrote:

> fido-vertical mode and/or icomplete-vertical-mode needs more work
> to support in-buffer completions, please decide whether to revert it
> or to write an additional patch for these modes in emacs-29.

OK, I'll revert just the fido-mode-specific patch in emacs-29. But are
you sure that icomplete-in-buffer works consistently for icomplete-mode?
If it doesn't it'll need more changes, and -- crucially -- changes that
don't break other icomplete cousins like fido and vertical modes.
If it does work OK, then no problem.

João